summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-rpg/magus/Manifest2
-rw-r--r--games-rpg/magus/magus-1.3.1.ebuild278
-rw-r--r--games-rpg/magus/magus-1.3.3.ebuild278
-rw-r--r--games-rpg/magus/magus-99999999.ebuild278
-rw-r--r--games-rpg/magus/metadata.xml39
-rw-r--r--metadata/pkg_desc_index4
-rw-r--r--profiles/use.local.desc24
-rw-r--r--sys-fs/aufs-util/aufs-util-99999999.ebuild41
-rw-r--r--sys-fs/aufs-util/metadata.xml8
-rw-r--r--sys-fs/aufs/aufs-99999999.ebuild199
-rw-r--r--sys-fs/aufs/files/grsecurity-2.2.0.patch61
-rw-r--r--sys-fs/aufs/files/grsecurity-2.2.1.patch63
-rw-r--r--sys-fs/aufs/files/grsecurity-2.2.2.patch61
-rw-r--r--sys-fs/aufs/files/grsecurity-2.2.2.r1.patch15
-rw-r--r--sys-fs/aufs/files/grsecurity-2.9.1.patch15
-rw-r--r--sys-fs/aufs/metadata.xml12
-rw-r--r--x11-drivers/nvidia-drivers/Manifest3
-rw-r--r--x11-drivers/nvidia-drivers/files/173.14.39-grsecurity.patch47
-rw-r--r--x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.13.patch12
-rw-r--r--x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.14.patch12
-rw-r--r--x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.17.patch56
-rw-r--r--x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch11
-rw-r--r--x11-drivers/nvidia-drivers/files/NVIDIA_glx-glheader.patch13
-rw-r--r--x11-drivers/nvidia-drivers/files/nvidia-169.0714
-rw-r--r--x11-drivers/nvidia-drivers/metadata.xml19
-rw-r--r--x11-drivers/nvidia-drivers/nvidia-drivers-173.14.39-r2.ebuild551
26 files changed, 0 insertions, 2116 deletions
diff --git a/games-rpg/magus/Manifest b/games-rpg/magus/Manifest
deleted file mode 100644
index 59efd5f6..00000000
--- a/games-rpg/magus/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST magus-1.3.1.tar.bz2 7358580 SHA512 b08231bb391d7f11c010afb0b881f063dbc1469d9032ba9ed9d3480e3d709709472a8e25d7104c5ee59f7e2fd222f417429233a9d730cb90a4538b089280e7c9
-DIST magus-1.3.3.tar.bz2 7417528 SHA512 e808c844e5e06a2f2a119024d70bfe81355387308afc5a6720dc10ffd348b17b66989747add280aca7272f9819612d245b286def39da0e7e46624f1c92ecd940
diff --git a/games-rpg/magus/magus-1.3.1.ebuild b/games-rpg/magus/magus-1.3.1.ebuild
deleted file mode 100644
index 5e84c2e2..00000000
--- a/games-rpg/magus/magus-1.3.1.ebuild
+++ /dev/null
@@ -1,278 +0,0 @@
-# Copyright 2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit autotools flag-o-matic ltprune
-RESTRICT="mirror"
-
-FETCH_RESTRICT=false
-LIVE_VERSION=false
-case ${PV} in
-9999*)
- LIVE_VERSION=:;;
-1.3.3*)
- FETCH_RESTRICT=:;;
-esac
-
-${LIVE_VERSION} && inherit monotone
-
-DESCRIPTION="A character generator for the popular German role playing game Midgard"
-HOMEPAGE="https://sourceforge.net/projects/midgard.berlios/"
-SRC_URI="mirror://sourceforge/midgard.berlios/${P}.tar.bz2"
-KEYWORDS="~amd64 ~x86"
-if ${LIVE_VERSION}
-then PROPERTIES="live"
- SRC_URI=""
- EMTN_REPO_URI="petig-baender.dyndns.org"
- KEYWORDS=""
-elif ${FETCH_RESTRICT}
-then SRC_URI="ftp://ftp.berlios.de/pub/midgard/Source/${P}.tar.bz2"
-# Unfortunately, the URL is down forever:
-# You can only use it, if you already downloaded the tarball earlier
- RESTRICT="${RESTRICT} fetch"
-fi
-LICENSE="GPL-2"
-SLOT="0"
-
-IUSE=""
-REQUIRED_USE=""
-
-add_type_to_iuse() {
- local t i
- t=${1}
- shift
- REQUIRED_USE+=${REQUIRED_USE:+\ }'^^ ('
- for i
- do IUSE+=${IUSE:+\ }${t}_${i}
- REQUIRED_USE+=" ${t}_${i}"
- done
- REQUIRED_USE+=' )'
-}
-
-BROWSERS="elinks firefox konqueror links lynx palemoon seamonkey"
-PDFVIEWERS="acroread apvlv evince mupdf okular qpdfview zathura"
-add_type_to_iuse browser ${BROWSERS}
-IUSE+=" imagemagick"
-add_type_to_iuse pdfviewer ${PDFVIEWERS}
-IUSE+=" pngcrush postgres"
-
-DEPENDCOMMON=">=dev-libs/libsigc++-2.6.2:2
- dev-cpp/gtkmm:2.4
- virtual/latex-base
- postgres? ( dev-db/postgresql:= )
- !postgres? ( dev-db/sqlite:3 )
- || ( media-libs/netpbm media-gfx/graphicsmagick media-gfx/imagemagick )"
-
-DEPEND="${DEPENDCOMMON}
- sys-devel/gettext
- pngcrush? ( media-gfx/pngcrush )
- imagemagick? ( || ( media-gfx/graphicsmagick[imagemagick] media-gfx/imagemagick ) )"
-
-RDEPEND="${DEPENDCOMMON}
- browser_elinks? ( www-client/elinks )
- browser_firefox? ( || ( www-client/firefox www-client/firefox-bin ) )
- browser_konqueror? ( kde-apps/konqueror )
- browser_links? ( www-client/links )
- browser_lynx? ( www-client/lynx )
- browser_palemoon? ( || ( www-client/palemoon www-client/palemoon-bin ) )
- browser_seamonkey? ( || ( www-client/seamonkey www-client/seamonkey-bin ) )
- virtual/libintl"
-
-if ${LIVE_VERSION}
-then
-src_unpack() {
- monotone_fetch
- monotone_co "" "manuproc.berlios.de/ManuProC_Base"
- monotone_co "" "manuproc.berlios.de/GtkmmAddons"
- monotone_co "" "manuproc.berlios.de/ManuProC_Widgets"
- monotone_co "" "midgard.berlios.de/midgard"
- monotone_finish
-}
-fi
-
-src_sed() {
- local short file ori
- short=${1}
- file="${S}/${short}"
- ori="${file}.ori"
- if ! test -e "${file}"
- then die "Expected file ${short} does not exist"
- fi
- einfo "Patching ${short}"
- mv -- "${file}" "${ori}" || die
- shift
- sed "${@}" -- "${ori}" >"${file}" || die
- cmp -s -- "${ori}" "${file}" && ewarn "Unneeded patching of ${short}"
- rm -- "${ori}" || die
- return
-}
-
-patch_defaults() {
- local i browser pdfviewer
- for i in ${BROWSERS}
- do use "browser_${i}" && browser=${i}
- done
- for i in ${PDFVIEWERS}
- do use "pdfviewer_${i}" && pdfviewer=${i}
- done
- einfo
- einfo "Patching for browser ${browser}, default pdfviewer ${pdfviewer}:"
- einfo
- src_sed midgard/docs/BMod_Op.html -e "s#mozilla#${browser}#"
- src_sed midgard/libmagus/Magus_Optionen.cc -e "s#mozilla#${browser}#"
- src_sed midgard/midgard.glade \
- -e "s#mozilla#${browser}#" \
- -e "s#acroread#${pdfviewer}#"
- src_sed midgard/src/table_optionen_glade.cc \
- -e "s#mozilla#${browser}#" \
- -e "s#acroread#${pdfviewer}#"
- [ "${pdfviewer}" = "acroread" ] || {
- src_sed midgard/docs/Bedienung_Option.html \
- -e "s#AcrobatReader (acroread)#${pdfviewer}#"
- }
-}
-
-src_patch() {
- local i
- einfo
- einfo "Various patches:"
- einfo
- grep "saebel.png" midgard/src/Makefile.am && \
- ewarn "Unneeded patching of midgard/src/Makefile.am"
- src_sed midgard/src/Makefile.am \
- -e 's/drache.png/Money-gray.png saebel.png drache.png/'
- src_sed ManuProC_Widgets/configure.in \
- -e 's/^[[:space:]]*AM_GNU_GETTEXT_VERSION/AM_GNU_GETTEXT_VERSION/'
- grep "AM_GNU_GETTEXT_VERSION" ManuProC_Base/configure.in && \
- ewarn "Unneeded patching of ManuProC_Base/configure.in"
- src_sed ManuProC_Base/configure.in \
- -e '/AC_SUBST(GETTEXT_PACKAGE)/iAM_GNU_GETTEXT_VERSION([0.17])'
- src_sed midgard/src/table_lernschema.cc \
- -e '/case .*:$/{n;s/^[[:space:]]*\}/break;}/}'
- for i in \
- midgard/src/xml_fileselection.hh \
- midgard/libmagus/VAbenteurer.hh \
- ManuProC_Widgets/src/SimpleTreeModel.h \
- ManuProC_Widgets/src/ModelWidgetConnection.h \
- ManuProC_Widgets/src/TooltipView.h
- do src_sed "${i}" -e 's!^\(#include <sigc++/object.h>\)!//\1!'
- done
- for i in \
- midgard/libmagus/VAbenteurer.cc \
- ManuProC_Base/src/RadioModel.h \
- ManuProC_Base/src/SignalPlex.h \
- ManuProC_Base/examples/mvc.cc
- do src_sed "${i}" -e 's!^\(#include <sigc++/object_slot.h>\)!//\1!'
- done
- for i in \
- midgard/libmagus/KiDo.hh \
- midgard/libmagus/Zauber.hh \
- midgard/libmagus/Zauberwerk.hh
- do src_sed "${i}" -e '/class .*[^;]$/{n;s/^{$/{ public:/}'
- done
- find . -name configure.in -exec sh -c 'for i
- do mv -- "${i}" "${i%in}ac"
- done' sh '{}' +
-}
-
-my_cd() {
- cd -- "${S}/${1}" >/dev/null || die "cd ${1} failed"
-}
-
-my_autoreconf() {
- my_cd "${1}"
- export AT_M4DIR
- test -d macros && AT_M4DIR="macros" || AT_M4DIR=""
- eautoreconf
-}
-
-src_prepare() {
- local i
- src_patch
- eapply_user
- patch_defaults
- einfo
- einfo "Calling eautoreconf for all subprojects:"
- einfo
- for i in "${S}"/*
- do my_autoreconf "${i##*/}"
- done
-}
-
-my_conf() {
- einfo
- einfo "configuring ${1}"
- einfo
- my_cd "${1}"
- shift
- if [ -z "${COMMON_CONF}" ]
- then COMMON_CONF="$(use_enable !postgres sqlite)"
- COMMON_CONF="${COMMON_CONF} $(use_with postgres postgresdir /usr)"
- COMMON_CONF="${COMMON_CONF} --disable-static"
- fi
- econf ${COMMON_CONF} "${@}"
-}
-
-my_make() {
- einfo
- einfo "making ${*}"
- einfo
- my_cd "${1}"
- emake || die "emake in ${1} failed"
-}
-
-my_confmake() {
- # It is unfortunate that we must build here,
- # but some ./configure's require make in other directories_
- my_make "GtkmmAddons" "(needed for configuring ManuProC_Widget and midgard)"
- my_make "ManuProC_Base" "(needed for configuring ManuProC_Widget and midgard)"
- my_conf "ManuProC_Widgets"
- my_make "ManuProC_Widgets" "(needed for configuring midgard)"
- my_conf "midgard"
-}
-
-src_configure() {
- filter-flags \
- -pie \
- -fPIE \
- '-flto*' \
- -fwhole-program \
- -fuse-linker-plugin \
- -fvisibility-inlines-hidden
- append-cxxflags -std=gnu++11 -fpermissive
- my_conf "ManuProC_Base"
- my_conf "GtkmmAddons"
- my_confmake
-}
-
-src_compile() {
- my_make "midgard"
-}
-
-my_install() {
- my_cd "${1}"
- emake DESTDIR="${ED}" install || die "make install in ${1} failed"
-}
-
-src_install() {
- local myicon myres
- my_install "ManuProC_Base"
- my_install "ManuProC_Widgets"
- my_install "midgard"
- rm -rf -- "${ED}"/usr/include
- prune_libtool_files --all
-
- insinto "/usr/share/magus"
-
- my_cd "midgard"
-
- doins -r docs
- #doins xml/*.xml src/*.png src/*.tex
-
- for myicon in pixmaps/desktop-icons/MAGUS-*.png
- do test -e "${myicon}" || continue
- myres=${myicon##*/MAGUS?}
- myres=${myres%.png}
- doicon -s "${myres}" "${myicon}"
- done
-}
diff --git a/games-rpg/magus/magus-1.3.3.ebuild b/games-rpg/magus/magus-1.3.3.ebuild
deleted file mode 100644
index 5e84c2e2..00000000
--- a/games-rpg/magus/magus-1.3.3.ebuild
+++ /dev/null
@@ -1,278 +0,0 @@
-# Copyright 2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit autotools flag-o-matic ltprune
-RESTRICT="mirror"
-
-FETCH_RESTRICT=false
-LIVE_VERSION=false
-case ${PV} in
-9999*)
- LIVE_VERSION=:;;
-1.3.3*)
- FETCH_RESTRICT=:;;
-esac
-
-${LIVE_VERSION} && inherit monotone
-
-DESCRIPTION="A character generator for the popular German role playing game Midgard"
-HOMEPAGE="https://sourceforge.net/projects/midgard.berlios/"
-SRC_URI="mirror://sourceforge/midgard.berlios/${P}.tar.bz2"
-KEYWORDS="~amd64 ~x86"
-if ${LIVE_VERSION}
-then PROPERTIES="live"
- SRC_URI=""
- EMTN_REPO_URI="petig-baender.dyndns.org"
- KEYWORDS=""
-elif ${FETCH_RESTRICT}
-then SRC_URI="ftp://ftp.berlios.de/pub/midgard/Source/${P}.tar.bz2"
-# Unfortunately, the URL is down forever:
-# You can only use it, if you already downloaded the tarball earlier
- RESTRICT="${RESTRICT} fetch"
-fi
-LICENSE="GPL-2"
-SLOT="0"
-
-IUSE=""
-REQUIRED_USE=""
-
-add_type_to_iuse() {
- local t i
- t=${1}
- shift
- REQUIRED_USE+=${REQUIRED_USE:+\ }'^^ ('
- for i
- do IUSE+=${IUSE:+\ }${t}_${i}
- REQUIRED_USE+=" ${t}_${i}"
- done
- REQUIRED_USE+=' )'
-}
-
-BROWSERS="elinks firefox konqueror links lynx palemoon seamonkey"
-PDFVIEWERS="acroread apvlv evince mupdf okular qpdfview zathura"
-add_type_to_iuse browser ${BROWSERS}
-IUSE+=" imagemagick"
-add_type_to_iuse pdfviewer ${PDFVIEWERS}
-IUSE+=" pngcrush postgres"
-
-DEPENDCOMMON=">=dev-libs/libsigc++-2.6.2:2
- dev-cpp/gtkmm:2.4
- virtual/latex-base
- postgres? ( dev-db/postgresql:= )
- !postgres? ( dev-db/sqlite:3 )
- || ( media-libs/netpbm media-gfx/graphicsmagick media-gfx/imagemagick )"
-
-DEPEND="${DEPENDCOMMON}
- sys-devel/gettext
- pngcrush? ( media-gfx/pngcrush )
- imagemagick? ( || ( media-gfx/graphicsmagick[imagemagick] media-gfx/imagemagick ) )"
-
-RDEPEND="${DEPENDCOMMON}
- browser_elinks? ( www-client/elinks )
- browser_firefox? ( || ( www-client/firefox www-client/firefox-bin ) )
- browser_konqueror? ( kde-apps/konqueror )
- browser_links? ( www-client/links )
- browser_lynx? ( www-client/lynx )
- browser_palemoon? ( || ( www-client/palemoon www-client/palemoon-bin ) )
- browser_seamonkey? ( || ( www-client/seamonkey www-client/seamonkey-bin ) )
- virtual/libintl"
-
-if ${LIVE_VERSION}
-then
-src_unpack() {
- monotone_fetch
- monotone_co "" "manuproc.berlios.de/ManuProC_Base"
- monotone_co "" "manuproc.berlios.de/GtkmmAddons"
- monotone_co "" "manuproc.berlios.de/ManuProC_Widgets"
- monotone_co "" "midgard.berlios.de/midgard"
- monotone_finish
-}
-fi
-
-src_sed() {
- local short file ori
- short=${1}
- file="${S}/${short}"
- ori="${file}.ori"
- if ! test -e "${file}"
- then die "Expected file ${short} does not exist"
- fi
- einfo "Patching ${short}"
- mv -- "${file}" "${ori}" || die
- shift
- sed "${@}" -- "${ori}" >"${file}" || die
- cmp -s -- "${ori}" "${file}" && ewarn "Unneeded patching of ${short}"
- rm -- "${ori}" || die
- return
-}
-
-patch_defaults() {
- local i browser pdfviewer
- for i in ${BROWSERS}
- do use "browser_${i}" && browser=${i}
- done
- for i in ${PDFVIEWERS}
- do use "pdfviewer_${i}" && pdfviewer=${i}
- done
- einfo
- einfo "Patching for browser ${browser}, default pdfviewer ${pdfviewer}:"
- einfo
- src_sed midgard/docs/BMod_Op.html -e "s#mozilla#${browser}#"
- src_sed midgard/libmagus/Magus_Optionen.cc -e "s#mozilla#${browser}#"
- src_sed midgard/midgard.glade \
- -e "s#mozilla#${browser}#" \
- -e "s#acroread#${pdfviewer}#"
- src_sed midgard/src/table_optionen_glade.cc \
- -e "s#mozilla#${browser}#" \
- -e "s#acroread#${pdfviewer}#"
- [ "${pdfviewer}" = "acroread" ] || {
- src_sed midgard/docs/Bedienung_Option.html \
- -e "s#AcrobatReader (acroread)#${pdfviewer}#"
- }
-}
-
-src_patch() {
- local i
- einfo
- einfo "Various patches:"
- einfo
- grep "saebel.png" midgard/src/Makefile.am && \
- ewarn "Unneeded patching of midgard/src/Makefile.am"
- src_sed midgard/src/Makefile.am \
- -e 's/drache.png/Money-gray.png saebel.png drache.png/'
- src_sed ManuProC_Widgets/configure.in \
- -e 's/^[[:space:]]*AM_GNU_GETTEXT_VERSION/AM_GNU_GETTEXT_VERSION/'
- grep "AM_GNU_GETTEXT_VERSION" ManuProC_Base/configure.in && \
- ewarn "Unneeded patching of ManuProC_Base/configure.in"
- src_sed ManuProC_Base/configure.in \
- -e '/AC_SUBST(GETTEXT_PACKAGE)/iAM_GNU_GETTEXT_VERSION([0.17])'
- src_sed midgard/src/table_lernschema.cc \
- -e '/case .*:$/{n;s/^[[:space:]]*\}/break;}/}'
- for i in \
- midgard/src/xml_fileselection.hh \
- midgard/libmagus/VAbenteurer.hh \
- ManuProC_Widgets/src/SimpleTreeModel.h \
- ManuProC_Widgets/src/ModelWidgetConnection.h \
- ManuProC_Widgets/src/TooltipView.h
- do src_sed "${i}" -e 's!^\(#include <sigc++/object.h>\)!//\1!'
- done
- for i in \
- midgard/libmagus/VAbenteurer.cc \
- ManuProC_Base/src/RadioModel.h \
- ManuProC_Base/src/SignalPlex.h \
- ManuProC_Base/examples/mvc.cc
- do src_sed "${i}" -e 's!^\(#include <sigc++/object_slot.h>\)!//\1!'
- done
- for i in \
- midgard/libmagus/KiDo.hh \
- midgard/libmagus/Zauber.hh \
- midgard/libmagus/Zauberwerk.hh
- do src_sed "${i}" -e '/class .*[^;]$/{n;s/^{$/{ public:/}'
- done
- find . -name configure.in -exec sh -c 'for i
- do mv -- "${i}" "${i%in}ac"
- done' sh '{}' +
-}
-
-my_cd() {
- cd -- "${S}/${1}" >/dev/null || die "cd ${1} failed"
-}
-
-my_autoreconf() {
- my_cd "${1}"
- export AT_M4DIR
- test -d macros && AT_M4DIR="macros" || AT_M4DIR=""
- eautoreconf
-}
-
-src_prepare() {
- local i
- src_patch
- eapply_user
- patch_defaults
- einfo
- einfo "Calling eautoreconf for all subprojects:"
- einfo
- for i in "${S}"/*
- do my_autoreconf "${i##*/}"
- done
-}
-
-my_conf() {
- einfo
- einfo "configuring ${1}"
- einfo
- my_cd "${1}"
- shift
- if [ -z "${COMMON_CONF}" ]
- then COMMON_CONF="$(use_enable !postgres sqlite)"
- COMMON_CONF="${COMMON_CONF} $(use_with postgres postgresdir /usr)"
- COMMON_CONF="${COMMON_CONF} --disable-static"
- fi
- econf ${COMMON_CONF} "${@}"
-}
-
-my_make() {
- einfo
- einfo "making ${*}"
- einfo
- my_cd "${1}"
- emake || die "emake in ${1} failed"
-}
-
-my_confmake() {
- # It is unfortunate that we must build here,
- # but some ./configure's require make in other directories_
- my_make "GtkmmAddons" "(needed for configuring ManuProC_Widget and midgard)"
- my_make "ManuProC_Base" "(needed for configuring ManuProC_Widget and midgard)"
- my_conf "ManuProC_Widgets"
- my_make "ManuProC_Widgets" "(needed for configuring midgard)"
- my_conf "midgard"
-}
-
-src_configure() {
- filter-flags \
- -pie \
- -fPIE \
- '-flto*' \
- -fwhole-program \
- -fuse-linker-plugin \
- -fvisibility-inlines-hidden
- append-cxxflags -std=gnu++11 -fpermissive
- my_conf "ManuProC_Base"
- my_conf "GtkmmAddons"
- my_confmake
-}
-
-src_compile() {
- my_make "midgard"
-}
-
-my_install() {
- my_cd "${1}"
- emake DESTDIR="${ED}" install || die "make install in ${1} failed"
-}
-
-src_install() {
- local myicon myres
- my_install "ManuProC_Base"
- my_install "ManuProC_Widgets"
- my_install "midgard"
- rm -rf -- "${ED}"/usr/include
- prune_libtool_files --all
-
- insinto "/usr/share/magus"
-
- my_cd "midgard"
-
- doins -r docs
- #doins xml/*.xml src/*.png src/*.tex
-
- for myicon in pixmaps/desktop-icons/MAGUS-*.png
- do test -e "${myicon}" || continue
- myres=${myicon##*/MAGUS?}
- myres=${myres%.png}
- doicon -s "${myres}" "${myicon}"
- done
-}
diff --git a/games-rpg/magus/magus-99999999.ebuild b/games-rpg/magus/magus-99999999.ebuild
deleted file mode 100644
index 5e84c2e2..00000000
--- a/games-rpg/magus/magus-99999999.ebuild
+++ /dev/null
@@ -1,278 +0,0 @@
-# Copyright 2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit autotools flag-o-matic ltprune
-RESTRICT="mirror"
-
-FETCH_RESTRICT=false
-LIVE_VERSION=false
-case ${PV} in
-9999*)
- LIVE_VERSION=:;;
-1.3.3*)
- FETCH_RESTRICT=:;;
-esac
-
-${LIVE_VERSION} && inherit monotone
-
-DESCRIPTION="A character generator for the popular German role playing game Midgard"
-HOMEPAGE="https://sourceforge.net/projects/midgard.berlios/"
-SRC_URI="mirror://sourceforge/midgard.berlios/${P}.tar.bz2"
-KEYWORDS="~amd64 ~x86"
-if ${LIVE_VERSION}
-then PROPERTIES="live"
- SRC_URI=""
- EMTN_REPO_URI="petig-baender.dyndns.org"
- KEYWORDS=""
-elif ${FETCH_RESTRICT}
-then SRC_URI="ftp://ftp.berlios.de/pub/midgard/Source/${P}.tar.bz2"
-# Unfortunately, the URL is down forever:
-# You can only use it, if you already downloaded the tarball earlier
- RESTRICT="${RESTRICT} fetch"
-fi
-LICENSE="GPL-2"
-SLOT="0"
-
-IUSE=""
-REQUIRED_USE=""
-
-add_type_to_iuse() {
- local t i
- t=${1}
- shift
- REQUIRED_USE+=${REQUIRED_USE:+\ }'^^ ('
- for i
- do IUSE+=${IUSE:+\ }${t}_${i}
- REQUIRED_USE+=" ${t}_${i}"
- done
- REQUIRED_USE+=' )'
-}
-
-BROWSERS="elinks firefox konqueror links lynx palemoon seamonkey"
-PDFVIEWERS="acroread apvlv evince mupdf okular qpdfview zathura"
-add_type_to_iuse browser ${BROWSERS}
-IUSE+=" imagemagick"
-add_type_to_iuse pdfviewer ${PDFVIEWERS}
-IUSE+=" pngcrush postgres"
-
-DEPENDCOMMON=">=dev-libs/libsigc++-2.6.2:2
- dev-cpp/gtkmm:2.4
- virtual/latex-base
- postgres? ( dev-db/postgresql:= )
- !postgres? ( dev-db/sqlite:3 )
- || ( media-libs/netpbm media-gfx/graphicsmagick media-gfx/imagemagick )"
-
-DEPEND="${DEPENDCOMMON}
- sys-devel/gettext
- pngcrush? ( media-gfx/pngcrush )
- imagemagick? ( || ( media-gfx/graphicsmagick[imagemagick] media-gfx/imagemagick ) )"
-
-RDEPEND="${DEPENDCOMMON}
- browser_elinks? ( www-client/elinks )
- browser_firefox? ( || ( www-client/firefox www-client/firefox-bin ) )
- browser_konqueror? ( kde-apps/konqueror )
- browser_links? ( www-client/links )
- browser_lynx? ( www-client/lynx )
- browser_palemoon? ( || ( www-client/palemoon www-client/palemoon-bin ) )
- browser_seamonkey? ( || ( www-client/seamonkey www-client/seamonkey-bin ) )
- virtual/libintl"
-
-if ${LIVE_VERSION}
-then
-src_unpack() {
- monotone_fetch
- monotone_co "" "manuproc.berlios.de/ManuProC_Base"
- monotone_co "" "manuproc.berlios.de/GtkmmAddons"
- monotone_co "" "manuproc.berlios.de/ManuProC_Widgets"
- monotone_co "" "midgard.berlios.de/midgard"
- monotone_finish
-}
-fi
-
-src_sed() {
- local short file ori
- short=${1}
- file="${S}/${short}"
- ori="${file}.ori"
- if ! test -e "${file}"
- then die "Expected file ${short} does not exist"
- fi
- einfo "Patching ${short}"
- mv -- "${file}" "${ori}" || die
- shift
- sed "${@}" -- "${ori}" >"${file}" || die
- cmp -s -- "${ori}" "${file}" && ewarn "Unneeded patching of ${short}"
- rm -- "${ori}" || die
- return
-}
-
-patch_defaults() {
- local i browser pdfviewer
- for i in ${BROWSERS}
- do use "browser_${i}" && browser=${i}
- done
- for i in ${PDFVIEWERS}
- do use "pdfviewer_${i}" && pdfviewer=${i}
- done
- einfo
- einfo "Patching for browser ${browser}, default pdfviewer ${pdfviewer}:"
- einfo
- src_sed midgard/docs/BMod_Op.html -e "s#mozilla#${browser}#"
- src_sed midgard/libmagus/Magus_Optionen.cc -e "s#mozilla#${browser}#"
- src_sed midgard/midgard.glade \
- -e "s#mozilla#${browser}#" \
- -e "s#acroread#${pdfviewer}#"
- src_sed midgard/src/table_optionen_glade.cc \
- -e "s#mozilla#${browser}#" \
- -e "s#acroread#${pdfviewer}#"
- [ "${pdfviewer}" = "acroread" ] || {
- src_sed midgard/docs/Bedienung_Option.html \
- -e "s#AcrobatReader (acroread)#${pdfviewer}#"
- }
-}
-
-src_patch() {
- local i
- einfo
- einfo "Various patches:"
- einfo
- grep "saebel.png" midgard/src/Makefile.am && \
- ewarn "Unneeded patching of midgard/src/Makefile.am"
- src_sed midgard/src/Makefile.am \
- -e 's/drache.png/Money-gray.png saebel.png drache.png/'
- src_sed ManuProC_Widgets/configure.in \
- -e 's/^[[:space:]]*AM_GNU_GETTEXT_VERSION/AM_GNU_GETTEXT_VERSION/'
- grep "AM_GNU_GETTEXT_VERSION" ManuProC_Base/configure.in && \
- ewarn "Unneeded patching of ManuProC_Base/configure.in"
- src_sed ManuProC_Base/configure.in \
- -e '/AC_SUBST(GETTEXT_PACKAGE)/iAM_GNU_GETTEXT_VERSION([0.17])'
- src_sed midgard/src/table_lernschema.cc \
- -e '/case .*:$/{n;s/^[[:space:]]*\}/break;}/}'
- for i in \
- midgard/src/xml_fileselection.hh \
- midgard/libmagus/VAbenteurer.hh \
- ManuProC_Widgets/src/SimpleTreeModel.h \
- ManuProC_Widgets/src/ModelWidgetConnection.h \
- ManuProC_Widgets/src/TooltipView.h
- do src_sed "${i}" -e 's!^\(#include <sigc++/object.h>\)!//\1!'
- done
- for i in \
- midgard/libmagus/VAbenteurer.cc \
- ManuProC_Base/src/RadioModel.h \
- ManuProC_Base/src/SignalPlex.h \
- ManuProC_Base/examples/mvc.cc
- do src_sed "${i}" -e 's!^\(#include <sigc++/object_slot.h>\)!//\1!'
- done
- for i in \
- midgard/libmagus/KiDo.hh \
- midgard/libmagus/Zauber.hh \
- midgard/libmagus/Zauberwerk.hh
- do src_sed "${i}" -e '/class .*[^;]$/{n;s/^{$/{ public:/}'
- done
- find . -name configure.in -exec sh -c 'for i
- do mv -- "${i}" "${i%in}ac"
- done' sh '{}' +
-}
-
-my_cd() {
- cd -- "${S}/${1}" >/dev/null || die "cd ${1} failed"
-}
-
-my_autoreconf() {
- my_cd "${1}"
- export AT_M4DIR
- test -d macros && AT_M4DIR="macros" || AT_M4DIR=""
- eautoreconf
-}
-
-src_prepare() {
- local i
- src_patch
- eapply_user
- patch_defaults
- einfo
- einfo "Calling eautoreconf for all subprojects:"
- einfo
- for i in "${S}"/*
- do my_autoreconf "${i##*/}"
- done
-}
-
-my_conf() {
- einfo
- einfo "configuring ${1}"
- einfo
- my_cd "${1}"
- shift
- if [ -z "${COMMON_CONF}" ]
- then COMMON_CONF="$(use_enable !postgres sqlite)"
- COMMON_CONF="${COMMON_CONF} $(use_with postgres postgresdir /usr)"
- COMMON_CONF="${COMMON_CONF} --disable-static"
- fi
- econf ${COMMON_CONF} "${@}"
-}
-
-my_make() {
- einfo
- einfo "making ${*}"
- einfo
- my_cd "${1}"
- emake || die "emake in ${1} failed"
-}
-
-my_confmake() {
- # It is unfortunate that we must build here,
- # but some ./configure's require make in other directories_
- my_make "GtkmmAddons" "(needed for configuring ManuProC_Widget and midgard)"
- my_make "ManuProC_Base" "(needed for configuring ManuProC_Widget and midgard)"
- my_conf "ManuProC_Widgets"
- my_make "ManuProC_Widgets" "(needed for configuring midgard)"
- my_conf "midgard"
-}
-
-src_configure() {
- filter-flags \
- -pie \
- -fPIE \
- '-flto*' \
- -fwhole-program \
- -fuse-linker-plugin \
- -fvisibility-inlines-hidden
- append-cxxflags -std=gnu++11 -fpermissive
- my_conf "ManuProC_Base"
- my_conf "GtkmmAddons"
- my_confmake
-}
-
-src_compile() {
- my_make "midgard"
-}
-
-my_install() {
- my_cd "${1}"
- emake DESTDIR="${ED}" install || die "make install in ${1} failed"
-}
-
-src_install() {
- local myicon myres
- my_install "ManuProC_Base"
- my_install "ManuProC_Widgets"
- my_install "midgard"
- rm -rf -- "${ED}"/usr/include
- prune_libtool_files --all
-
- insinto "/usr/share/magus"
-
- my_cd "midgard"
-
- doins -r docs
- #doins xml/*.xml src/*.png src/*.tex
-
- for myicon in pixmaps/desktop-icons/MAGUS-*.png
- do test -e "${myicon}" || continue
- myres=${myicon##*/MAGUS?}
- myres=${myres%.png}
- doicon -s "${myres}" "${myicon}"
- done
-}
diff --git a/games-rpg/magus/metadata.xml b/games-rpg/magus/metadata.xml
deleted file mode 100644
index 675a551a..00000000
--- a/games-rpg/magus/metadata.xml
+++ /dev/null
@@ -1,39 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>martin@mvath.de</email>
- <name>Martin Väth</name>
- </maintainer>
- <upstream>
- <maintainer>
- <name>Christof Petig</name>
- </maintainer>
- <maintainer>
- <name>Malte Thoma</name>
- </maintainer>
- <maintainer>
- <name>Alessandro Filippetti</name>
- </maintainer>
- <bugs-to>http://midgard.berlios.de/pages/bugform.html</bugs-to>
- </upstream>
- <use>
- <flag name="browser_elinks">Use elinks as browser</flag>
- <flag name="browser_firefox">Use firefox as browser</flag>
- <flag name="browser_konqueror">Use konqueror as browser</flag>
- <flag name="browser_links">Use links as browser</flag>
- <flag name="browser_lynx">Use lynx as browser</flag>
- <flag name="browser_palemoon">Use palemoon as browser</flag>
- <flag name="browser_seamonkey">Use seamonkey as browser</flag>
- <flag name="imagemagick">Use convert from graphicsmagick/imagemagick to scale pictures before installation</flag>
- <flag name="pdfviewer_acroread">Use acroread as default pdfviewer</flag>
- <flag name="pdfviewer_apvlv">Use apvlv as default pdfviewer</flag>
- <flag name="pdfviewer_evince">Use evince as default pdfviewer</flag>
- <flag name="pdfviewer_mupdf">Use mupdf as default pdfviewer</flag>
- <flag name="pdfviewer_okular">Use okular as default pdfviewer</flag>
- <flag name="pdfviewer_qpdfview">Use qpdfview as default pdfviewer</flag>
- <flag name="pdfviewer_zathura">Use zathura as default pdfviewer</flag>
- <flag name="pngcrush">Use pngcrush for opimizing png before installation</flag>
- <flag name="postgres">Use postgresql instead of sqlite</flag>
- </use>
-</pkgmetadata>
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 33081864..32319094 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -68,7 +68,6 @@ games-engines/freesci 0.6.4-r1: Sierra script interpreter for your old Sierra ad
games-rpg/aklabeth 1.0-r1: A remake of Richard C. Garriott's Ultima prequel
games-rpg/dsa-stats 1.0: calculate stat probabalities for the role playing game DSA - Das schwarze Auge
games-rpg/m5figur-mv 2.8.2: LaTeX2e character sheet layout for the Midgard Role Playing Game (Edition M5)
-games-rpg/magus 1.3.1 1.3.3 99999999: A character generator for the popular German role playing game Midgard
mail-client/alpine 2.00-r7 2.21.1: alpine is an easy to use text-based based mail and news client
media-gfx/pqiv 2.10.2: powerful GTK based command-line image viewer with a minimal UI
media-tv/nvtv 0.4.7-r3: TV-Out for NVidia cards
@@ -96,8 +95,6 @@ sys-apps/starter 3.0: POSIX shell script and function to schedule commands
sys-block/parted 2.4-r2: Create, destroy, resize, check, copy partitions and file systems
sys-block/zram-init 7.0: Scripts to support compressed swap devices or ramdisks with zram
sys-boot/grub-cfg-mv 1.5: A grub.cfg library/example for GRUB2
-sys-fs/aufs 99999999: An entirely re-designed and re-implemented Unionfs
-sys-fs/aufs-util 99999999: Userspace tools for aufs
sys-fs/emount 3.0.4: mount/unmount create/remove dm-crypt filesystems according to your /etc/fstab
sys-fs/squash_dir 13.14: Keep directories compressed with squashfs. Useful for portage tree, texmf-dist
sys-fs/squashfs-tools 4.3.1_alpha20171129-r1 99999999-r1: Tool for creating compressed filesystem type squashfs
@@ -133,7 +130,6 @@ www-plugins/stylus 1.3.17: Firefox webextension: install themes and skins for ma
www-plugins/translate-to-me 1.1: Firefox webextension: translate the selected text with www.linguee.com
www-plugins/ublock-origin 1.15.24: Firefox webextension: An efficient list-based blocker
www-plugins/xclear 1.8.2-r1: Firefox legacy add-on: button to clear URL
-x11-drivers/nvidia-drivers 173.14.39-r2: NVIDIA Accelerated Graphics Driver
x11-libs/gtk+ 2.24.31-r1 3.22.19 3.22.26: Gimp ToolKit +
x11-libs/motif 2.3.7 2.3.8-r1: The Motif user interface component toolkit
x11-misc/redshift 1.8: A screen color temperature adjusting software
diff --git a/profiles/use.local.desc b/profiles/use.local.desc
index 909b8293..ec8955c6 100644
--- a/profiles/use.local.desc
+++ b/profiles/use.local.desc
@@ -138,23 +138,6 @@ games-emulation/xmame:net - Add network support
games-emulation/xmess:bundled-libs - Use bundled version of dev-libs/expat
games-emulation/xmess:net - Add network support
games-rpg/m5figur-mv:examples - Compile example character sheet as PDF
-games-rpg/magus:browser_elinks - Use elinks as browser
-games-rpg/magus:browser_firefox - Use firefox as browser
-games-rpg/magus:browser_konqueror - Use konqueror as browser
-games-rpg/magus:browser_links - Use links as browser
-games-rpg/magus:browser_lynx - Use lynx as browser
-games-rpg/magus:browser_palemoon - Use palemoon as browser
-games-rpg/magus:browser_seamonkey - Use seamonkey as browser
-games-rpg/magus:imagemagick - Use convert from graphicsmagick/imagemagick to scale pictures before installation
-games-rpg/magus:pdfviewer_acroread - Use acroread as default pdfviewer
-games-rpg/magus:pdfviewer_apvlv - Use apvlv as default pdfviewer
-games-rpg/magus:pdfviewer_evince - Use evince as default pdfviewer
-games-rpg/magus:pdfviewer_mupdf - Use mupdf as default pdfviewer
-games-rpg/magus:pdfviewer_okular - Use okular as default pdfviewer
-games-rpg/magus:pdfviewer_qpdfview - Use qpdfview as default pdfviewer
-games-rpg/magus:pdfviewer_zathura - Use zathura as default pdfviewer
-games-rpg/magus:pngcrush - Use pngcrush for opimizing png before installation
-games-rpg/magus:postgres - Use postgresql instead of sqlite
mail-client/alpine:chappa - enhance alpine by applying Eduardo Chappa's patches
mail-client/alpine:onlyalpine - installs only the alpine binary, so it does not collied with app-editors/pico and/or mail-client/pine
mail-client/alpine:passfile - Adds support for caching passwords into a file between sessions
@@ -230,8 +213,6 @@ sys-apps/less:source - Install sources for keybindings (only useful with less-se
sys-block/parted:debug - Enable debugging as encouraged by upstream: [The default configuration] includes --enable-debug (by default), which contains many assertions. Obviously, these "waste" space, but in the past, they have caught potentially dangerous bugs before they would have done damage, so we think it's worth it. Also, it means we get more bug reports ;)
sys-block/parted:device-mapper - Enable device-mapper support from sys-fs/lvm2 in parted
sys-block/parted:standalone - Install a standalone version which provides all headers and binaries which collide with sys-block/parted:0. If this flag is not set, sys-block/parted:0 is pulled in to provide the non-installed headers and binaries.
-sys-fs/aufs:all-patches - Apply all patches - also those which do not start with aufs
-sys-fs/aufs:kernel-patch - Apply the aufs kernel patches instead of just copying them
sys-fs/squash_dir:aufs - Prefer aufs
sys-fs/squash_dir:bundled-openrc-wrapper - Install the bundled openrc-wrapper
sys-fs/squash_dir:overlayfs - Prefer overlayfs
@@ -293,11 +274,6 @@ sys-power/nut:ups_drivers_tripplitesu - Driver for Tripp-Lite SmartOnline (SU) U
sys-power/nut:ups_drivers_upscode2 - Driver for UPScode II compatible UPS equipment
sys-power/nut:ups_drivers_usbhid-ups - Driver for USB/HID UPS equipment
sys-power/nut:ups_drivers_victronups - Driver for IMV/Victron UPS unit Match, Match Lite, NetUps
-x11-drivers/nvidia-drivers:kernel3-13 - Install unofficial patches for linux-3.13 and newer
-x11-drivers/nvidia-drivers:kernel3-14 - Install unofficial patches for linux-3.14 and newer
-x11-drivers/nvidia-drivers:kernel3-17 - Install unofficial patches for linux-3.17 and newer
-x11-drivers/nvidia-drivers:pax_kernel - Patch to compile with hardened-sources/grsecurity
-x11-drivers/nvidia-drivers:tools - Install additional tools such as nvidia-settings
x11-libs/gtk+:adwaita-icon-theme - Force the adwaita-icon-theme
x11-libs/gtk+:atk-bridge - Enable the gtk3-atk-bridge, hard depending on app-accessibility/at-spi2-atk and thus on sys-apps/dbus
x11-libs/gtk+:broadway - Enable the GDK Broadway backend.
diff --git a/sys-fs/aufs-util/aufs-util-99999999.ebuild b/sys-fs/aufs-util/aufs-util-99999999.ebuild
deleted file mode 100644
index c779fcb5..00000000
--- a/sys-fs/aufs-util/aufs-util-99999999.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-EGIT_REPO_URI="git://aufs.git.sourceforge.net/gitroot/aufs/aufs-util.git"
-EGIT_BRANCH="aufs3.9"
-inherit git-r3 linux-info
-
-DESCRIPTION="Userspace tools for aufs"
-HOMEPAGE="http://aufs.sourceforge.net/"
-SRC_URI=""
-
-LICENSE="GPL-2"
-SLOT="0/3.9"
-# Since this is a live ebuild, we require ACCEPT_KEYWORDS='**'
-#KEYWORDS="~amd64 ~x86"
-KEYWORDS=""
-IUSE=""
-PROPERTIES="live"
-
-RDEPEND=""
-DEPEND="dev-vcs/git[curl]"
-
-src_prepare() {
- local i l
- ln -s "${KERNEL_DIR}"/include local_kernel
- set -- local_kernel/linux/aufs*.h
- test -e "${1}" || {
- eerror "It seems you do not have installed aufs into your kernel tree."
- die "You might need to emerge >=sys-fs/aufs-99999999::mv"
- }
- l="s|/usr/lib|$(get_libdir)|"
- sed -i -e "1iCFLAGS += -I./local_kernel -include linux/compiler.h" -e "${l}" Makefile || \
- die "Patching Makefile failed"
- for i in lib*/Makefile
- do test -e "${i}" || continue
- sed -i -e "1iCFLAGS += -I../local_kernel" -e "${l}" "${i}" || \
- die "Patching ${i} failed"
- done
- eapply_user
-}
diff --git a/sys-fs/aufs-util/metadata.xml b/sys-fs/aufs-util/metadata.xml
deleted file mode 100644
index b919c846..00000000
--- a/sys-fs/aufs-util/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>martin@mvath.de</email>
- <name>Martin Väth</name>
- </maintainer>
-</pkgmetadata>
diff --git a/sys-fs/aufs/aufs-99999999.ebuild b/sys-fs/aufs/aufs-99999999.ebuild
deleted file mode 100644
index 67b73ec9..00000000
--- a/sys-fs/aufs/aufs-99999999.ebuild
+++ /dev/null
@@ -1,199 +0,0 @@
-# Copyright 2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-EGIT_REPO_URI="git://aufs.git.sourceforge.net/gitroot/aufs/aufs3-standalone.git"
-EGIT_BRANCH="aufs3.0"
-inherit git-r3 linux-info
-
-DESCRIPTION="An entirely re-designed and re-implemented Unionfs"
-HOMEPAGE="http://aufs.sourceforge.net/"
-SRC_URI=""
-
-LICENSE="GPL-2"
-SLOT="0/3"
-# Since this is a live ebuild with unstable versions in portage we require
-# that the user unmasks this ebuild with ACCEPT_KEYWORDS='**'
-#KEYWORDS="~amd64 ~x86"
-KEYWORDS=""
-IUSE="kernel-patch all-patches"
-PROPERTIES="live"
-
-RDEPEND="!sys-fs/aufs2
- !sys-fs/aufs3"
-DEPEND="dev-vcs/git[curl]"
-
-declare -a my_patchlist
-
-fill_my_patchlist() {
- local i
- my_patchlist=()
- for i
- do case ${i} in
- *.patch|*.diff)
- ! test -f "${i}" || my_patchlist+=("${i}");;
- esac
- done
-}
-
-apply_my_patch() {
- local r
- r=
- if [ ${#} -gt 1 ]
- then shift
- r='-R'
- fi
- patch ${r} -p1 --dry-run --force <"${1}" >/dev/null || return
- einfo "Applying kernel patch ${1}${r:+ reversely}"
- patch ${r} -p1 --force --no-backup-if-mismatch <"${1}" >/dev/null || {
- eerror "applying kernel patch ${1}${r:+ reversely} failed."
- eerror "Since dry run succeeded this is probably a problem with write permissions."
- die "With USE=-kernel-patch you avoid automatic patching attempts."
- }
-}
-
-apply_my_patchlist() {
- local r i
- r=
- if [ ${#} -gt 0 ]
- then shift
- r='-R'
- fi
- set --
- for i in "${my_patchlist[@]}"
- do if use all-patches || case "${i}" in
- aufs*)
- :;;
- *)
- false;;
- esac
- then apply_my_patch ${r} "${i}" || set -- "${@}" "${i}"
- else einfo "Kernel patch ${i} - skipping as all-patches is not set"
- fi
- done
- for i
- do apply_my_patch ${r} "${i}" || \
- ewarn "Kernel patch ${i} cannot be${r:+ reverse} applied - skipping."
- done
-}
-
-pkg_setup() {
- linux-info_pkg_setup
-
- # kernel version check
- if kernel_is lt 2 6 26
- then
- eerror "${PN} is being developed and tested on linux-2.6.26 and later."
- eerror "Make sure you have a proper kernel version!"
- die "Wrong kernel version"
- fi
-
- if [ -n "${AUFSBRANCH}" ]
- then EGIT_BRANCH="${AUFSBRANCH}"
- else if kernel_is lt 3 0
- then [ -n "${KV_PATCH}" ] && EGIT_BRANCH="aufs2.2-${KV_PATCH}"
- else [ -n "${KV_MINOR}" ] && EGIT_BRANCH="aufs${KV_MAJOR}.${KV_MINOR}"
- fi
- case ${EGIT_BRANCH} in
- aufs3.7)
- EGIT_BRANCH="aufs3.x-rcN";;
- esac
- fi
- elog
- elog "Using aufs branch: ${EGIT_BRANCH}"
- elog "If this guess for the branch is wrong, set AUFSBRANCH."
- elog "For example, to use the aufs3.0 branch for kernel version 3.0, use:"
- elog " AUFSBRANCH=aufs3.0 emerge -1 aufs"
- elog
- elog "To find out names of testing branches you might want to use"
- elog "( cd ${EGIT_DIR} && git log --decorate --graph --all --full-history )"
- if [ -n "${EVCS_OFFLINE}" ]
- then elog
- elog "Note that it might be necessary in addition to fetch the newest aufs:"
- elog "Set EVCS_OFFLINE='' in the environment and be online during emerge."
- fi
- elog
-
- use kernel-patch || return 0
- (
- set --
- cd -- "${KV_DIR}" >/dev/null 2>&1 && \
- fill_my_patchlist *.patch *.diff && apply_my_patchlist -R
- )
-}
-
-src_prepare() {
- local i j w v newest all
- eapply_user
- all="2.2.0 2.2.1 2.2.2 2.2.2.r1 2.9.1"
- newest=${all##* }
- v=
- for i in ${GRSECURITYPATCHVER-+}
- do case ${i} in
- '+')
- j=${newest};;
- '*')
- j=${all};;
- *)
- w=:
- for j in ${all}
- do [ "${i}" = "${j}" ] && w=false && continue
- done
- if ${w}
- then warn "GRSECURITYPATCHVER contains bad version ${i}"
- else j="${i}"
- fi;;
- esac
- v="${v} ${j}"
- done
- v=${v# }
- elog
- elog "Using GRSECURITYPATCHVER: ${v}"
- elog "If you want other patches, set GRSECURITYPATCHVER to some or more of:"
- elog "${all} +"
- elog "The special value + means the newest version (${newest}) and is default."
- elog "The special value * means all versions."
- elog
- for i in ${v}
- do j="grsecurity-${i}.patch"
- cp -p -- "${FILESDIR}/${j}" "aufs-${j}" || die "copying ${j} failed"
- done
-}
-
-src_configure() {
- :
-}
-
-src_compile() {
- :
-}
-
-src_install() {
- local i k dk
- i="Documentation/filesystems/aufs/aufs.5"
- test -e "${i}" && doman "${i}"
- k="$(readlink -f -- "${KV_DIR}")" && [ -n "${k}" ] || k="${KV_DIR}"
- dk="${D}/${k}"
- dodir "${k}/fs/aufs"
- cp -pPR -- fs/aufs/* "${dk}/fs/aufs"
- cp -pPR -- include "${dk}"
- find "${dk}"/include -name Kbuild -type f -exec rm -v -- '{}' ';'
- fill_my_patchlist *.patch *.diff
- cp -pPR -- "${my_patchlist[@]}" "${dk}"
-}
-
-pkg_postinst() {
- [ "${#my_patchlist[@]}" -eq 0 ] && {
- cd -- "${KV_DIR}" >/dev/null 2>&1 && fill_my_patchlist *.patch *.diff
- }
- if use kernel-patch
- then cd -- "${KV_DIR}" >/dev/null 2>&1 || die "cannot cd to ${KV_DIR}"
- apply_my_patchlist
- elog "Your kernel has been patched. Cleanup and recompile it, selecting"
- else elog "You will have to apply the following patch to your kernel:"
- elog " cd ${KV_DIR} && cat ${my_patchlist[*]} | patch -p1 --no-backup-if-mismatch"
- elog "Then cleanup and recompile your kernel, selecting"
- fi
- elog " Filesystems/Miscellaneous Filesystems/aufs"
- elog "in the configuration phase."
-}
diff --git a/sys-fs/aufs/files/grsecurity-2.2.0.patch b/sys-fs/aufs/files/grsecurity-2.2.0.patch
deleted file mode 100644
index 5c805ba7..00000000
--- a/sys-fs/aufs/files/grsecurity-2.2.0.patch
+++ /dev/null
@@ -1,61 +0,0 @@
---- linux/include/linux/fs.h
-+++ linux/include/linux/fs.h
-@@ -575,41 +575,41 @@
- unsigned long, unsigned long);
-
- struct address_space_operations {
-- int (* const writepage)(struct page *page, struct writeback_control *wbc);
-- int (* const readpage)(struct file *, struct page *);
-- void (* const sync_page)(struct page *);
-+ int (*writepage)(struct page *page, struct writeback_control *wbc);
-+ int (*readpage)(struct file *, struct page *);
-+ void (*sync_page)(struct page *);
-
- /* Write back some dirty pages from this mapping. */
-- int (* const writepages)(struct address_space *, struct writeback_control *);
-+ int (*writepages)(struct address_space *, struct writeback_control *);
-
- /* Set a page dirty. Return true if this dirtied it */
-- int (* const set_page_dirty)(struct page *page);
-+ int (*set_page_dirty)(struct page *page);
-
-- int (* const readpages)(struct file *filp, struct address_space *mapping,
-+ int (*readpages)(struct file *filp, struct address_space *mapping,
- struct list_head *pages, unsigned nr_pages);
-
-- int (* const write_begin)(struct file *, struct address_space *mapping,
-+ int (*write_begin)(struct file *, struct address_space *mapping,
- loff_t pos, unsigned len, unsigned flags,
- struct page **pagep, void **fsdata);
-- int (* const write_end)(struct file *, struct address_space *mapping,
-+ int (*write_end)(struct file *, struct address_space *mapping,
- loff_t pos, unsigned len, unsigned copied,
- struct page *page, void *fsdata);
-
- /* Unfortunately this kludge is needed for FIBMAP. Don't use it */
-- sector_t (* const bmap)(struct address_space *, sector_t);
-- void (* const invalidatepage) (struct page *, unsigned long);
-- int (* const releasepage) (struct page *, gfp_t);
-- ssize_t (* const direct_IO)(int, struct kiocb *, const struct iovec *iov,
-+ sector_t (*bmap)(struct address_space *, sector_t);
-+ void (*invalidatepage) (struct page *, unsigned long);
-+ int (*releasepage) (struct page *, gfp_t);
-+ ssize_t (*direct_IO)(int, struct kiocb *, const struct iovec *iov,
- loff_t offset, unsigned long nr_segs);
-- int (* const get_xip_mem)(struct address_space *, pgoff_t, int,
-+ int (*get_xip_mem)(struct address_space *, pgoff_t, int,
- void **, unsigned long *);
- /* migrate the contents of a page to the specified target */
-- int (* const migratepage) (struct address_space *,
-+ int (*migratepage) (struct address_space *,
- struct page *, struct page *);
-- int (* const launder_page) (struct page *);
-- int (* const is_partially_uptodate) (struct page *, read_descriptor_t *,
-+ int (*launder_page) (struct page *);
-+ int (*is_partially_uptodate) (struct page *, read_descriptor_t *,
- unsigned long);
-- int (* const error_remove_page)(struct address_space *, struct page *);
-+ int (*error_remove_page)(struct address_space *, struct page *);
- };
-
- /*
diff --git a/sys-fs/aufs/files/grsecurity-2.2.1.patch b/sys-fs/aufs/files/grsecurity-2.2.1.patch
deleted file mode 100644
index 8396dfd1..00000000
--- a/sys-fs/aufs/files/grsecurity-2.2.1.patch
+++ /dev/null
@@ -1,63 +0,0 @@
---- linux/include/linux/fs.h
-+++ linux/include/linux/fs.h
-@@ -583,42 +583,42 @@
- unsigned long, unsigned long);
-
- struct address_space_operations {
-- int (* const writepage)(struct page *page, struct writeback_control *wbc);
-- int (* const readpage)(struct file *, struct page *);
-- void (* const sync_page)(struct page *);
-+ int (*writepage)(struct page *page, struct writeback_control *wbc);
-+ int (*readpage)(struct file *, struct page *);
-+ void (*sync_page)(struct page *);
-
- /* Write back some dirty pages from this mapping. */
-- int (* const writepages)(struct address_space *, struct writeback_control *);
-+ int (*writepages)(struct address_space *, struct writeback_control *);
-
- /* Set a page dirty. Return true if this dirtied it */
-- int (* const set_page_dirty)(struct page *page);
-+ int (*set_page_dirty)(struct page *page);
-
-- int (* const readpages)(struct file *filp, struct address_space *mapping,
-+ int (*readpages)(struct file *filp, struct address_space *mapping,
- struct list_head *pages, unsigned nr_pages);
-
-- int (* const write_begin)(struct file *, struct address_space *mapping,
-+ int (*write_begin)(struct file *, struct address_space *mapping,
- loff_t pos, unsigned len, unsigned flags,
- struct page **pagep, void **fsdata);
-- int (* const write_end)(struct file *, struct address_space *mapping,
-+ int (*write_end)(struct file *, struct address_space *mapping,
- loff_t pos, unsigned len, unsigned copied,
- struct page *page, void *fsdata);
-
- /* Unfortunately this kludge is needed for FIBMAP. Don't use it */
-- sector_t (* const bmap)(struct address_space *, sector_t);
-- void (* const invalidatepage) (struct page *, unsigned long);
-- int (* const releasepage) (struct page *, gfp_t);
-- void (* const freepage)(struct page *);
-- ssize_t (* const direct_IO)(int, struct kiocb *, const struct iovec *iov,
-+ sector_t (*bmap)(struct address_space *, sector_t);
-+ void (*invalidatepage) (struct page *, unsigned long);
-+ int (*releasepage) (struct page *, gfp_t);
-+ void (*freepage)(struct page *);
-+ ssize_t (*direct_IO)(int, struct kiocb *, const struct iovec *iov,
- loff_t offset, unsigned long nr_segs);
-- int (* const get_xip_mem)(struct address_space *, pgoff_t, int,
-+ int (*get_xip_mem)(struct address_space *, pgoff_t, int,
- void **, unsigned long *);
- /* migrate the contents of a page to the specified target */
-- int (* const migratepage) (struct address_space *,
-+ int (*migratepage) (struct address_space *,
- struct page *, struct page *);
-- int (* const launder_page) (struct page *);
-- int (* const is_partially_uptodate) (struct page *, read_descriptor_t *,
-+ int (*launder_page) (struct page *);
-+ int (*is_partially_uptodate) (struct page *, read_descriptor_t *,
- unsigned long);
-- int (* const error_remove_page)(struct address_space *, struct page *);
-+ int (*error_remove_page)(struct address_space *, struct page *);
- };
-
- /*
diff --git a/sys-fs/aufs/files/grsecurity-2.2.2.patch b/sys-fs/aufs/files/grsecurity-2.2.2.patch
deleted file mode 100644
index 9a38594d..00000000
--- a/sys-fs/aufs/files/grsecurity-2.2.2.patch
+++ /dev/null
@@ -1,61 +0,0 @@
---- linux/include/linux/fs.h
-+++ linux/include/linux/fs.h
-@@ -580,41 +580,41 @@
- unsigned long, unsigned long);
-
- struct address_space_operations {
-- int (* const writepage)(struct page *page, struct writeback_control *wbc);
-- int (* const readpage)(struct file *, struct page *);
-+ int (*writepage)(struct page *page, struct writeback_control *wbc);
-+ int (*readpage)(struct file *, struct page *);
-
- /* Write back some dirty pages from this mapping. */
-- int (* const writepages)(struct address_space *, struct writeback_control *);
-+ int (*writepages)(struct address_space *, struct writeback_control *);
-
- /* Set a page dirty. Return true if this dirtied it */
-- int (* const set_page_dirty)(struct page *page);
-+ int (*set_page_dirty)(struct page *page);
-
-- int (* const readpages)(struct file *filp, struct address_space *mapping,
-+ int (*readpages)(struct file *filp, struct address_space *mapping,
- struct list_head *pages, unsigned nr_pages);
-
-- int (* const write_begin)(struct file *, struct address_space *mapping,
-+ int (*write_begin)(struct file *, struct address_space *mapping,
- loff_t pos, unsigned len, unsigned flags,
- struct page **pagep, void **fsdata);
-- int (* const write_end)(struct file *, struct address_space *mapping,
-+ int (*write_end)(struct file *, struct address_space *mapping,
- loff_t pos, unsigned len, unsigned copied,
- struct page *page, void *fsdata);
-
- /* Unfortunately this kludge is needed for FIBMAP. Don't use it */
-- sector_t (* const bmap)(struct address_space *, sector_t);
-- void (* const invalidatepage) (struct page *, unsigned long);
-- int (* const releasepage) (struct page *, gfp_t);
-- void (* const freepage)(struct page *);
-- ssize_t (* const direct_IO)(int, struct kiocb *, const struct iovec *iov,
-+ sector_t (*bmap)(struct address_space *, sector_t);
-+ void (*invalidatepage) (struct page *, unsigned long);
-+ int (*releasepage) (struct page *, gfp_t);
-+ void (*freepage)(struct page *);
-+ ssize_t (*direct_IO)(int, struct kiocb *, const struct iovec *iov,
- loff_t offset, unsigned long nr_segs);
-- int (* const get_xip_mem)(struct address_space *, pgoff_t, int,
-+ int (*get_xip_mem)(struct address_space *, pgoff_t, int,
- void **, unsigned long *);
- /* migrate the contents of a page to the specified target */
-- int (* const migratepage) (struct address_space *,
-+ int (*migratepage) (struct address_space *,
- struct page *, struct page *);
-- int (* const launder_page) (struct page *);
-- int (* const is_partially_uptodate) (struct page *, read_descriptor_t *,
-+ int (*launder_page) (struct page *);
-+ int (*is_partially_uptodate) (struct page *, read_descriptor_t *,
- unsigned long);
-- int (* const error_remove_page)(struct address_space *, struct page *);
-+ int (*error_remove_page)(struct address_space *, struct page *);
- };
-
- extern const struct address_space_operations empty_aops;
diff --git a/sys-fs/aufs/files/grsecurity-2.2.2.r1.patch b/sys-fs/aufs/files/grsecurity-2.2.2.r1.patch
deleted file mode 100644
index 743b7bb7..00000000
--- a/sys-fs/aufs/files/grsecurity-2.2.2.r1.patch
+++ /dev/null
@@ -1,15 +0,0 @@
---- linux/include/linux/fs.h
-+++ linux/include/linux/fs.h
-@@ -619,7 +619,11 @@
- int (*is_partially_uptodate) (struct page *, read_descriptor_t *,
- unsigned long);
- int (*error_remove_page)(struct address_space *, struct page *);
--};
-+}
-+#ifdef CONFIG_GRKERNSEC
-+__no_const
-+#endif
-+;
-
- extern const struct address_space_operations empty_aops;
-
diff --git a/sys-fs/aufs/files/grsecurity-2.9.1.patch b/sys-fs/aufs/files/grsecurity-2.9.1.patch
deleted file mode 100644
index 699419fd..00000000
--- a/sys-fs/aufs/files/grsecurity-2.9.1.patch
+++ /dev/null
@@ -1,15 +0,0 @@
---- linux/include/linux/fs.h
-+++ linux/include/linux/fs.h
-@@ -385,7 +385,11 @@
- int (*swap_activate)(struct swap_info_struct *sis, struct file *file,
- sector_t *span);
- void (*swap_deactivate)(struct file *file);
--};
-+}
-+#ifdef CONFIG_GRKERNSEC
-+__no_const
-+#endif
-+;
-
- extern const struct address_space_operations empty_aops;
-
diff --git a/sys-fs/aufs/metadata.xml b/sys-fs/aufs/metadata.xml
deleted file mode 100644
index 0d5b421d..00000000
--- a/sys-fs/aufs/metadata.xml
+++ /dev/null
@@ -1,12 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>martin@mvath.de</email>
- <name>Martin Väth</name>
- </maintainer>
- <use>
- <flag name="kernel-patch">Apply the aufs kernel patches instead of just copying them</flag>
- <flag name="all-patches">Apply all patches - also those which do not start with aufs</flag>
- </use>
-</pkgmetadata>
diff --git a/x11-drivers/nvidia-drivers/Manifest b/x11-drivers/nvidia-drivers/Manifest
deleted file mode 100644
index 39647660..00000000
--- a/x11-drivers/nvidia-drivers/Manifest
+++ /dev/null
@@ -1,3 +0,0 @@
-DIST NVIDIA-FreeBSD-x86-173.14.39.tar.gz 20038266 SHA512 96982fe7e0751c52fbef534193de09d187b99c1984c05e791223eb804719d8b3ba72efd983f227661ded4b71569bdbb914f1f629ab73a8bc9b8172832ccf3ec6
-DIST NVIDIA-Linux-x86-173.14.39-pkg0.run 15134997 SHA512 e24e15ccec725d3cbca502c2b77061776a81ef92917a950adec4ff6bdc34f10903aa654433177ea74be0dade4af81c5380d5710d375a5ea445940d06154bde93
-DIST NVIDIA-Linux-x86_64-173.14.39-pkg2.run 21100833 SHA512 a65cd496e6ed57f771c3d99f37f616a1242d97844f6faef7a807825ad899c0e536a99fde397020839f0857883b934032f9491024f3047a6b06d3eea1f5d77713
diff --git a/x11-drivers/nvidia-drivers/files/173.14.39-grsecurity.patch b/x11-drivers/nvidia-drivers/files/173.14.39-grsecurity.patch
deleted file mode 100644
index 7c9e60d3..00000000
--- a/x11-drivers/nvidia-drivers/files/173.14.39-grsecurity.patch
+++ /dev/null
@@ -1,47 +0,0 @@
---- 1/usr/src/nv/nv-linux.h
-+++ 1/usr/src/nv/nv-linux.h
-@@ -668,10 +668,10 @@
- 0, 0, NULL, NULL); \
- }
- #elif (NV_KMEM_CACHE_CREATE_ARGUMENT_COUNT == 5)
--#define NV_KMEM_CACHE_CREATE(kmem_cache, name, type) \
-+#define NV_KMEM_CACHE_CREATE(kmem_cache, name, type, flags) \
- { \
- kmem_cache = kmem_cache_create(name, sizeof(type), \
-- 0, 0, NULL); \
-+ 0, flags, NULL); \
- }
- #else
- #error "NV_KMEM_CACHE_CREATE_ARGUMENT_COUNT value unrecognized!"
---- 1/usr/src/nv/nv.c
-+++ 1/usr/src/nv/nv.c
-@@ -389,7 +389,11 @@
-
- /* character driver entry points */
-
-+#ifndef __no_const
- static struct file_operations nv_fops = {
-+#else
-+static file_operations_no_const nv_fops = {
-+#endif
- .owner = THIS_MODULE,
- .poll = nv_kern_poll,
- #if defined(NV_FILE_OPERATIONS_HAS_IOCTL)
-@@ -1377,7 +1381,7 @@
- NV_SPIN_LOCK_INIT(&km_lock);
- #endif
-
-- NV_KMEM_CACHE_CREATE(nv_stack_t_cache, "nv_stack_t", nv_stack_t);
-+ NV_KMEM_CACHE_CREATE(nv_stack_t_cache, "nv_stack_t", nv_stack_t, SLAB_USERCOPY);
- if (nv_stack_t_cache == NULL)
- {
- nv_printf(NV_DBG_ERRORS, "NVRM: stack cache allocation failed!\n");
-@@ -1499,7 +1503,7 @@
- }
- #endif
-
-- NV_KMEM_CACHE_CREATE(nv_pte_t_cache, "nv_pte_t", nv_pte_t);
-+ NV_KMEM_CACHE_CREATE(nv_pte_t_cache, "nv_pte_t", nv_pte_t, 0);
- if (nv_pte_t_cache == NULL)
- {
- rc = -ENOMEM;
diff --git a/x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.13.patch b/x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.13.patch
deleted file mode 100644
index a11b3cb2..00000000
--- a/x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.13.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- 1/usr/src/nv/nvacpi.c
-+++ 1/usr/src/nv/nvacpi.c
-@@ -259,7 +259,9 @@ static int nv_acpi_remove(struct acpi_device *device, int type)
-
- if (pNvAcpiObject->notify_handler_installed)
- {
-+#if LINUX_VERSION_CODE < KERNEL_VERSION(3, 13, 0)
- NV_ACPI_OS_WAIT_EVENTS_COMPLETE();
-+#endif
-
- // remove event notifier
- status = acpi_remove_notify_handler(device->handle, ACPI_DEVICE_NOTIFY, nv_acpi_event);
diff --git a/x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.14.patch b/x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.14.patch
deleted file mode 100644
index 47bb70bc..00000000
--- a/x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.14.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- a/usr/src/nv/nv-linux.h
-+++ b/usr/src/nv/nv-linux.h
-@@ -206,8 +206,7 @@ extern int nv_pat_mode;
- #endif
-
- #if defined(CONFIG_ACPI)
--#include <acpi/acpi.h>
--#include <acpi/acpi_drivers.h>
-+#include <linux/acpi.h>
- #if defined(NV_ACPI_DEVICE_OPS_HAS_MATCH) || defined(ACPI_VIDEO_HID)
- #define NV_LINUX_ACPI_EVENTS_SUPPORTED 1
- #endif
diff --git a/x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.17.patch b/x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.17.patch
deleted file mode 100644
index 7b27d646..00000000
--- a/x11-drivers/nvidia-drivers/files/173.14.39-kernel-3.17.patch
+++ /dev/null
@@ -1,56 +0,0 @@
---- 1/work/usr/src/nv/conftest.sh
-+++ 1/work/usr/src/nv/conftest.sh
-@@ -651,7 +651,7 @@
- # a match() member.
- #
- echo "$CONFTEST_PREAMBLE
-- #include <acpi/acpi_bus.h>
-+ #include <linux/acpi.h>
- int conftest_acpi_device_ops(void) {
- return offsetof(struct acpi_device_ops, match);
- }" > conftest$$.c
-@@ -893,7 +893,7 @@
- #
-
- echo "$CONFTEST_PREAMBLE
-- #include <acpi/acpi_bus.h>
-+ #include <linux/acpi.h>
- acpi_status acpi_evaluate_integer(acpi_handle h, acpi_string s,
- struct acpi_object_list *l, unsigned long long *d) {
- return AE_OK;
-@@ -910,7 +910,7 @@
- fi
-
- echo "$CONFTEST_PREAMBLE
-- #include <acpi/acpi_bus.h>
-+ #include <linux/acpi.h>
- acpi_status acpi_evaluate_integer(acpi_handle h, acpi_string s,
- struct acpi_object_list *l, unsigned long *d) {
- return AE_OK;
-@@ -958,7 +958,7 @@
- fi
-
- echo "$CONFTEST_PREAMBLE
-- #include <acpi/acpi.h>
-+ #include <linux/acpi.h>
- void conftest_acpi_walk_namespace(void) {
- acpi_walk_namespace(0, NULL, 0, NULL, NULL, NULL, NULL);
- }" > conftest$$.c
-@@ -974,7 +974,7 @@
- fi
-
- echo "$CONFTEST_PREAMBLE
-- #include <acpi/acpi.h>
-+ #include <linux/acpi.h>
- void conftest_acpi_walk_namespace(void) {
- acpi_walk_namespace(0, NULL, 0, NULL, NULL, NULL);
- }" > conftest$$.c
-@@ -1043,7 +1043,7 @@
- echo "#define NV_ACPI_OS_WAIT_EVENTS_COMPLETE_ARGUMENT_COUNT 0" >> conftest.h
- return
- else
-- echo "#error acpi_os_wait_events_complete() conftest failed!" >> conftest.h
-+ : echo "#error acpi_os_wait_events_complete() conftest failed!" >> conftest.h
- fi
- ;;
-
diff --git a/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch b/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch
deleted file mode 100644
index da9933f6..00000000
--- a/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch
+++ /dev/null
@@ -1,11 +0,0 @@
-diff -ur NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h
---- NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h 2002-12-09 21:26:55.000000000 +0100
-+++ NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h 2003-01-30 18:20:23.000000000 +0100
-@@ -39,6 +39,7 @@
- typedef XID GLXPixmap;
- typedef XID GLXDrawable;
- typedef XID GLXPbuffer;
-+typedef XID GLXPbufferSGIX;
- typedef XID GLXWindow;
- typedef XID GLXFBConfigID;
-
diff --git a/x11-drivers/nvidia-drivers/files/NVIDIA_glx-glheader.patch b/x11-drivers/nvidia-drivers/files/NVIDIA_glx-glheader.patch
deleted file mode 100644
index e0393e1b..00000000
--- a/x11-drivers/nvidia-drivers/files/NVIDIA_glx-glheader.patch
+++ /dev/null
@@ -1,13 +0,0 @@
---- usr/include/GL/gl.g.orig 2004-07-17 19:56:59.789410584 +1000
-+++ usr/include/GL/gl.h 2004-07-17 19:59:08.844791184 +1000
-@@ -66,6 +66,10 @@
- typedef double GLclampd;
- typedef void GLvoid;
-
-+/* Patching for some better defines in the global system */
-+#ifndef GL_GLEXT_LEGACY
-+#include <GL/glext.h>
-+#endif
-
- /*************************************************************/
-
diff --git a/x11-drivers/nvidia-drivers/files/nvidia-169.07 b/x11-drivers/nvidia-drivers/files/nvidia-169.07
deleted file mode 100644
index a96b0cd1..00000000
--- a/x11-drivers/nvidia-drivers/files/nvidia-169.07
+++ /dev/null
@@ -1,14 +0,0 @@
-# Nvidia drivers support
-alias char-major-195 nvidia
-alias /dev/nvidiactl char-major-195
-
-# To tweak the driver the following options can be used, note that
-# you should be careful, as it could cause instability!! For more
-# options see /usr/share/doc/PACKAGE/README
-#
-# !!! SECURITY WARNING !!!
-# DO NOT MODIFY OR REMOVE THE DEVICE FILE RELATED OPTIONS UNLESS YOU KNOW
-# WHAT YOU ARE DOING.
-# ONLY ADD TRUSTED USERS TO THE VIDEO GROUP, THESE USERS MAY BE ABLE TO CRASH,
-# COMPROMISE, OR IRREPARABLY DAMAGE THE MACHINE.
-options nvidia NVreg_DeviceFileMode=432 NVreg_DeviceFileUID=0 NVreg_DeviceFileGID=VIDEOGID NVreg_ModifyDeviceFiles=1
diff --git a/x11-drivers/nvidia-drivers/metadata.xml b/x11-drivers/nvidia-drivers/metadata.xml
deleted file mode 100644
index 10030bee..00000000
--- a/x11-drivers/nvidia-drivers/metadata.xml
+++ /dev/null
@@ -1,19 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<maintainer type="person">
- <email>martin@mvath.de</email>
- <name>Martin Väth</name>
- <description>maintainer of the updates in the mv overlay</description>
-</maintainer>
-<maintainer type="person">
- <email>jer@gentoo.org</email>
-</maintainer>
-<use>
- <flag name="kernel3-13">Install unofficial patches for linux-3.13 and newer</flag>
- <flag name="kernel3-14">Install unofficial patches for linux-3.14 and newer</flag>
- <flag name="kernel3-17">Install unofficial patches for linux-3.17 and newer</flag>
- <flag name="pax_kernel">Patch to compile with hardened-sources/grsecurity</flag>
- <flag name="tools">Install additional tools such as nvidia-settings</flag>
-</use>
-</pkgmetadata>
diff --git a/x11-drivers/nvidia-drivers/nvidia-drivers-173.14.39-r2.ebuild b/x11-drivers/nvidia-drivers/nvidia-drivers-173.14.39-r2.ebuild
deleted file mode 100644
index eba346ee..00000000
--- a/x11-drivers/nvidia-drivers/nvidia-drivers-173.14.39-r2.ebuild
+++ /dev/null
@@ -1,551 +0,0 @@
-# Copyright 2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit flag-o-matic linux-mod multilib-minimal nvidia-driver portability \
- unpacker user versionator readme.gentoo-r1
-
-X86_NV_PACKAGE="NVIDIA-Linux-x86-${PV}"
-AMD64_NV_PACKAGE="NVIDIA-Linux-x86_64-${PV}"
-X86_FBSD_NV_PACKAGE="NVIDIA-FreeBSD-x86-${PV}"
-
-DESCRIPTION="NVIDIA Accelerated Graphics Driver"
-HOMEPAGE="http://www.nvidia.com/ http://www.nvidia.com/Download/Find.aspx"
-SRC_URI="x86? ( http://us.download.nvidia.com/XFree86/Linux-x86/${PV}/${X86_NV_PACKAGE}-pkg0.run )
- amd64? ( http://us.download.nvidia.com/XFree86/Linux-x86_64/${PV}/${AMD64_NV_PACKAGE}-pkg2.run )
- x86-fbsd? ( http://us.download.nvidia.com/freebsd/${PV}/${X86_FBSD_NV_PACKAGE}.tar.gz )"
-
-LICENSE="GPL-2 NVIDIA-r1"
-SLOT="0/173"
-KEYWORDS="-* amd64 x86 ~x86-fbsd"
-IUSE="acpi multilib kernel3-13 kernel3-14 +kernel3-17 kernel_linux pax_kernel tools"
-RESTRICT="bindist mirror strip"
-EMULTILIB_PKG="true"
-
-COMMON="
- >=app-eselect/eselect-opengl-1.0.9
- kernel_linux? ( >=sys-libs/glibc-2.6.1 )
-"
-DEPEND="
- ${COMMON}
- !<dev-util/ccache-3.2
- kernel_linux? ( virtual/linux-sources )
-"
-RDEPEND="
- ${COMMON}
- <x11-base/xorg-server-1.15.99:=
- sys-libs/zlib[${MULTILIB_USEDEP}]
- >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
- >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
- acpi? ( sys-power/acpid )
- tools? (
- dev-libs/atk[${MULTILIB_USEDEP}]
- dev-libs/glib:2[${MULTILIB_USEDEP}]
- x11-libs/gdk-pixbuf[${MULTILIB_USEDEP}]
- x11-libs/gtk+:2[${MULTILIB_USEDEP}]
- x11-libs/libX11[${MULTILIB_USEDEP}]
- x11-libs/libXext[${MULTILIB_USEDEP}]
- x11-libs/pango[X,${MULTILIB_USEDEP}]
- )
-"
-
-QA_TEXTRELS_x86="usr/lib/opengl/nvidia/lib/libnvidia-tls.so.${PV}
- usr/lib/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib/opengl/nvidia/extensions/libglx.so.${PV}
- usr/lib/xorg/modules/drivers/nvidia_drv.so
- usr/lib/libcuda.so.${PV}
- usr/lib/libnvidia-cfg.so.${PV}
- usr/lib/libvdpau_nvidia.so.${PV}
- usr/lib/libXvMCNVIDIA.so.${PV}"
-
-QA_TEXTRELS_x86_fbsd="boot/modules/nvidia.ko
- usr/lib/opengl/nvidia/lib/libGL.so.1
- usr/lib/opengl/nvidia/lib/libGLcore.so.1
- usr/lib/libnvidia-cfg.so.1
- usr/lib/opengl/nvidia/extensions/libglx.so.1
- usr/lib/xorg/modules/drivers/nvidia_drv.so"
-
-QA_TEXTRELS_amd64="usr/lib32/opengl/nvidia/lib/libnvidia-tls.so.${PV}
- usr/lib32/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib32/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib32/libcuda.so.${PV}
- usr/lib32/libvdpau_nvidia.so.${PV}"
-
-QA_EXECSTACK_x86="usr/lib/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib/opengl/nvidia/extensions/libglx.so.${PV}
- usr/lib/xorg/modules/drivers/nvidia_drv.so
- usr/lib/libXvMCNVIDIA.a:NVXVMC.o"
-
-QA_EXECSTACK_amd64="usr/lib32/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib32/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib64/libnvcompiler.so.${PV}
- usr/lib64/libXvMCNVIDIA.so.${PV}
- usr/lib64/libXvMCNVIDIA.a:NVXVMC.o
- usr/lib64/libnvidia-cfg.so.${PV}
- usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.${PV}
- usr/lib64/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib64/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib64/opengl/nvidia/extensions/libglx.so.${PV}
- usr/lib64/xorg/modules/drivers/nvidia_drv.so
- opt/bin/nvidia-settings
- opt/bin/nvidia-smi
- opt/bin/nvidia-xconfig"
-
-QA_WX_LOAD_x86="usr/lib/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib/opengl/nvidia/extensions/libglx.so.${PV}
- usr/lib/libXvMCNVIDIA.a"
-
-QA_WX_LOAD_amd64="usr/lib32/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib32/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib64/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib64/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib64/opengl/nvidia/extensions/libglx.so.${PV}"
-
-QA_SONAME_amd64="usr/lib64/libnvcompiler.so.${PV}"
-
-QA_FLAGS_IGNORED_amd64="usr/lib32/libcuda.so.${PV}
- usr/lib32/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib32/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib32/opengl/nvidia/lib/libnvidia-tls.so.${PV}
- usr/lib32/libvdpau_nvidia.so.${PV}
- usr/lib64/libXvMCNVIDIA.so.${PV}
- usr/lib64/libcuda.so.${PV}
- usr/lib64/libnvidia-cfg.so.${PV}
- usr/lib64/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib64/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.${PV}
- usr/lib64/opengl/nvidia/extensions/libglx.so.${PV}
- usr/lib64/xorg/modules/drivers/nvidia_drv.so
- usr/lib64/libvdpau_nvidia.so.${PV}
- opt/bin/nvidia-settings
- opt/bin/nvidia-smi
- opt/bin/nvidia-xconfig"
-
-QA_FLAGS_IGNORED_x86="usr/lib/libcuda.so.${PV}
- usr/lib/libnvidia-cfg.so.${PV}
- usr/lib/opengl/nvidia/lib/libGLcore.so.${PV}
- usr/lib/opengl/nvidia/lib/libGL.so.${PV}
- usr/lib/opengl/nvidia/lib/libnvidia-tls.so.${PV}
- usr/lib/opengl/nvidia/extensions/libglx.so.${PV}
- usr/lib/xorg/modules/drivers/nvidia_drv.so
- usr/lib/libXvMCNVIDIA.so.${PV}
- usr/lib/libvdpau_nvidia.so.${PV}
- opt/bin/nvidia-settings
- opt/bin/nvidia-smi
- opt/bin/nvidia-xconfig"
-
-S="${WORKDIR}/"
-
-mtrr_check() {
- ebegin "Checking for MTRR support"
- linux_chkconfig_present MTRR
- eend $?
-
- if [[ $? -ne 0 ]] ; then
- eerror "Please enable MTRR support in your kernel config, found at:"
- eerror
- eerror " Processor type and features"
- eerror " [*] MTRR (Memory Type Range Register) support"
- eerror
- eerror "and recompile your kernel ..."
- die "MTRR support not detected!"
- fi
-}
-
-lockdep_check() {
- if linux_chkconfig_present LOCKDEP; then
- eerror "You've enabled LOCKDEP -- lock tracking -- in the kernel."
- eerror "Unfortunately, this option exports the symbol 'lockdep_init_map' as GPL-only"
- eerror "which will prevent ${P} from compiling."
- eerror "Please make sure the following options have been unset:"
- eerror " Kernel hacking --->"
- eerror " [ ] Lock debugging: detect incorrect freeing of live locks"
- eerror " [ ] Lock debugging: prove locking correctness"
- eerror " [ ] Lock usage statistics"
- eerror "in 'menuconfig'"
- die "LOCKDEP enabled"
- fi
-}
-
-pkg_setup() {
- # try to turn off distcc and ccache for people that have a problem with it
- export DISTCC_DISABLE=1
- export CCACHE_DISABLE=1
-
- if use amd64 && has_multilib_profile && [ "${DEFAULT_ABI}" != "amd64" ]; then
- eerror "This ebuild doesn't currently support changing your default abi."
- die "Unexpected \${DEFAULT_ABI} = ${DEFAULT_ABI}"
- fi
-
- if use kernel_linux; then
- linux-mod_pkg_setup
- MODULE_NAMES="nvidia(video:${S}/usr/src/nv)"
- BUILD_PARAMS="IGNORE_CC_MISMATCH=yes V=1 SYSSRC=${KV_DIR} \
- SYSOUT=${KV_OUT_DIR} CC=$(tc-getBUILD_CC)"
- # linux-mod_src_compile calls set_arch_to_kernel, which
- # sets the ARCH to x86 but NVIDIA's wrapping Makefile
- # expects x86_64 or i386 and then converts it to x86
- # later on in the build process
- BUILD_FIXES="ARCH=$(uname -m | sed -e 's/i.86/i386/')"
- mtrr_check
- lockdep_check
- fi
-
- # On BSD userland it wants real make command
- use userland_BSD && MAKE="$(get_bmake)"
-
- export _POSIX2_VERSION="199209"
-
- if use kernel_linux && kernel_is ge 3 13 ; then
- ewarn "No official support of nvidia or gentoo is available for >=linux-3.13"
- ewarn "Please do not report any bug to nvidia or gentoo about it."
- fi
-
- # set variables to where files are in the package structure
- if use kernel_FreeBSD; then
- use x86-fbsd && S="${WORKDIR}/${X86_FBSD_NV_PACKAGE}"
- NV_DOC="${S}/doc"
- NV_EXEC="${S}/obj"
- NV_LIB="${S}/obj"
- NV_SRC="${S}/src"
- NV_MAN="${S}/x11/man"
- NV_X11="${S}/obj"
- NV_X11_DRV="${NV_X11}"
- NV_X11_EXT="${NV_X11}"
- NV_SOVER=1
- elif use kernel_linux; then
- NV_DOC="${S}/usr/share/doc"
- NV_EXEC="${S}/usr/bin"
- NV_LIB="${S}/usr/lib"
- NV_SRC="${S}/usr/src/nv"
- NV_MAN="${S}/usr/share/man/man1"
- NV_X11="${S}/usr/X11R6/lib"
- NV_X11_DRV="${NV_X11}/modules/drivers"
- NV_X11_EXT="${NV_X11}/modules/extensions"
- NV_SOVER=${PV}
- else
- die "Could not determine proper NVIDIA package"
- fi
-}
-
-src_unpack() {
- if use kernel_linux && kernel_is lt 2 6 7; then
- echo
- ewarn "Your kernel version is ${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}"
- ewarn "This is not officially supported for ${P}. It is likely you"
- ewarn "will not be able to compile or use the kernel module."
- ewarn "It is recommended that you upgrade your kernel to a version >= 2.6.7"
- echo
- ewarn "DO NOT file bug reports for kernel versions less than 2.6.7 as they will be ignored."
- fi
-
- if ! use x86-fbsd; then
- mkdir "${S}"
- cd "${S}"
- unpack_makeself
- else
- unpack ${A}
- fi
-}
-
-src_prepare() {
- # Please add a brief description for every added patch
- use x86-fbsd && cd doc
-
- # Use the correct defines to make gtkglext build work
- eapply "${FILESDIR}"/NVIDIA_glx-defines.patch
- # Use some more sensible gl headers and make way for new glext.h
- eapply -p0 "${FILESDIR}"/NVIDIA_glx-glheader.patch
-
- if use kernel_linux; then
- # Quiet down warnings the user does not need to see
- sed -i \
- -e 's:-Wpointer-arith::g' \
- -e 's:-Wsign-compare::g' \
- "${NV_SRC}"/Makefile.kbuild
-
- # If greater than 2.6.5 use M= instead of SUBDIR=
- convert_to_m "${NV_SRC}"/Makefile.kbuild
- fi
-
- if use pax_kernel ; then
- einfo "Enabling unofficial patches for hardened-sources/grsecurity"
- eapply "${FILESDIR}/${PV}-grsecurity.patch"
- fi
-
- if use kernel3-17 ; then
- einfo "Enabling unofficial patches for linux-3.17 and newer"
- elif use kernel3-14 ; then
- einfo "Enabling unofficial patches for linux-3.14 and newer"
- elif use kernel3-13 ; then
- einfo "Enabling unofficial patches for linux-3.13 and newer"
- fi
- if use kernel3-17 || use kernel3-14 || use kernel3-13 ; then
- eapply "${FILESDIR}/${PV}-kernel-3.13.patch"
- if use kernel3-17 || use kernel3-14 ; then
- eapply "${FILESDIR}/${PV}-kernel-3.14.patch"
- if use kernel3-17 ; then
- eapply -p2 "${FILESDIR}/${PV}-kernel-3.17.patch"
- fi
- fi
- fi
-
- eapply_user
-}
-
-src_compile() {
- # This is already the default on Linux, as there's no toplevel Makefile, but
- # on FreeBSD there's one and triggers the kernel module build, as we install
- # it by itself, pass this.
-
- cd "${NV_SRC}"
- if use x86-fbsd; then
- MAKE="$(get_bmake)" CFLAGS="-Wno-sign-compare" emake CC="$(tc-getCC)" \
- LD="$(tc-getLD)" LDFLAGS="$(raw-ldflags)"
- elif use kernel_linux; then
- linux-mod_src_compile
- fi
-}
-
-src_install() {
- if use kernel_linux; then
- linux-mod_src_install
-
- # Add the aliases
- # This file is tweaked with the appropriate video group in
- # pkg_preinst, see bug #491414
- insinto /etc/modprobe.d
- newins "${FILESDIR}"/nvidia-169.07 nvidia.conf
- elif use kernel_FreeBSD; then
- insinto /boot/modules
- doins "${WORKDIR}/${NV_PACKAGE}/src/nvidia.kld"
-
- exeinto /boot/modules
- doexe "${WORKDIR}/${NV_PACKAGE}/src/nvidia.ko"
- fi
-
- # NVIDIA kernel <-> userspace driver config lib
- dolib.so ${NV_LIB}/libnvidia-cfg.so.${NV_SOVER} || \
- die "failed to install libnvidia-cfg"
- dosym libnvidia-cfg.so.${NV_SOVER} \
- /usr/$(get_libdir)/libnvidia-cfg.so.1 || \
- die "failed to create libnvidia-cfg.so.1 symlink"
- dosym libnvidia-cfg.so.1 \
- /usr/$(get_libdir)/libnvidia-cfg.so || \
- die "failed to create libnvidia-cfg.so symlink"
-
- # Xorg DDX driver
- insinto /usr/$(get_libdir)/xorg/modules/drivers
- doins ${NV_X11_DRV}/nvidia_drv.so
-
- # Xorg GLX driver
- insinto /usr/$(get_libdir)/opengl/nvidia/extensions
- doins ${NV_X11_EXT}/libglx.so.${NV_SOVER}
- dosym libglx.so.${NV_SOVER} \
- /usr/$(get_libdir)/opengl/nvidia/extensions/libglx.so
-
- # XvMC driver
- dolib.a ${NV_X11}/libXvMCNVIDIA.a || \
- die "failed to install libXvMCNVIDIA.so"
- dolib.so ${NV_X11}/libXvMCNVIDIA.so.${NV_SOVER} || \
- die "failed to install libXvMCNVIDIA.so"
- dosym libXvMCNVIDIA.so.${NV_SOVER} \
- /usr/$(get_libdir)/libXvMCNVIDIA.so.1
- dosym libXvMCNVIDIA.so.1 \
- /usr/$(get_libdir)/libXvMCNVIDIA.so
- dosym libXvMCNVIDIA.so.${NV_SOVER} \
- /usr/$(get_libdir)/libXvMCNVIDIA_dynamic.so.1
-
- # CUDA headers (driver to come)
- if use kernel_linux && [[ -d ${S}/usr/include/cuda ]]; then
- dodir /usr/include/cuda
- insinto /usr/include/cuda
- doins usr/include/cuda/*.h
- fi
-
- # OpenCL headers (driver to come)
- if [[ -d ${S}/usr/include/CL ]]; then
- dodir /usr/include/CL
- insinto /usr/include/CL
- doins usr/include/CL/*.h
- fi
-
- # Documentation
- dodoc ${NV_DOC}/XF86Config.sample
- docinto html
- dodoc ${NV_DOC}/html/*
- if use x86-fbsd; then
- dodoc "${NV_DOC}/README"
- doman "${NV_MAN}/nvidia-xconfig.1"
- doman "${NV_MAN}/nvidia-settings.1"
- else
- # Docs
- newdoc "${NV_DOC}/README.txt" README
- dodoc "${NV_DOC}/NVIDIA_Changelog"
- doman "${NV_MAN}/nvidia-xconfig.1.gz"
- doman "${NV_MAN}/nvidia-settings.1.gz"
- fi
-
- # Helper Apps
- exeinto /opt/bin/
- doexe ${NV_EXEC}/nvidia-xconfig
- doexe ${NV_EXEC}/nvidia-bug-report.sh
- if use tools; then
- doexe usr/bin/nvidia-settings
- fi
- if use kernel_linux; then
- doexe ${NV_EXEC}/nvidia-smi
- fi
-
- # Desktop entry for nvidia-settings
- if use tools && use kernel_linux; then
- sed -e 's:__UTILS_PATH__:/opt/bin:' \
- -e 's:__PIXMAP_PATH__:/usr/share/pixmaps:' \
- -e '/^Categories/s|Application;||g' \
- -i "${S}"/usr/share/applications//nvidia-settings.desktop
- newmenu "${S}"/usr/share/applications/nvidia-settings.desktop \
- nvidia-settings-opt.desktop
- fi
-
- if has_multilib_profile ; then
- local OABI=${ABI}
- for ABI in $(get_install_abis) ; do
- src_install-libs
- done
- ABI=${OABI}
- unset OABI
- else
- src_install-libs
- fi
-
- find "${ED}" -name "*.a" -exec rm -f "{}" + || die ".a file removal failed"
-
- is_final_abi || die "failed to iterate through all ABIs"
-
- readme.gentoo_create_doc
-}
-
-# Install nvidia library:
-# the first parameter is the place where to install it
-# the second parameter is the base name of the library
-# the third parameter is the provided soversion
-donvidia() {
- dodir $1
- exeinto $1
-
- libname=$(basename $2)
-
- doexe $2.$3
- dosym ${libname}.$3 $1/${libname}
- [[ $3 != "1" ]] && dosym ${libname}.$3 $1/${libname}.1
-}
-
-src_install-libs() {
- local inslibdir=$(get_libdir)
- local NV_ROOT="/usr/${inslibdir}/opengl/nvidia"
- local libdir= sover=
-
- if use kernel_linux; then
- if has_multilib_profile && [[ ${ABI} == "x86" ]] ; then
- libdir=usr/lib32
- else
- libdir=usr/lib
- fi
- sover=${PV}
- else
- libdir=obj
- # on FreeBSD it has just .1 suffix
- sover=1
- fi
-
- # The GLX libraries
- donvidia ${NV_ROOT}/lib ${libdir}/libGL.so ${sover}
- donvidia ${NV_ROOT}/lib ${libdir}/libGLcore.so ${sover}
- if use x86-fbsd; then
- donvidia ${NV_ROOT}/lib ${libdir}/libnvidia-tls.so ${sover}
- else
- donvidia ${NV_ROOT}/lib ${libdir}/tls/libnvidia-tls.so ${sover}
- fi
-
- #cuda
- if [[ -f ${libdir}/libcuda.so.${sover} ]]; then
- dolib.so ${libdir}/libcuda.so.${sover}
- [[ "${sover}" != "1" ]] && dosym libcuda.so.${sover} /usr/${inslibdir}/libcuda.so.1
- dosym libcuda.so.1 /usr/${inslibdir}/libcuda.so
- fi
-
- #vdpau
- if [[ -f ${libdir}/libvdpau_nvidia.so.${sover} ]]; then
- dolib.so ${libdir}/libvdpau_nvidia.so.${sover}
- dosym libvdpau_nvidia.so.${sover} /usr/${inslibdir}/libvdpau_nvidia.so
- fi
-
- # OpenCL
- # NOTE: This isn't currently available in the publicly released drivers.
- if [[ -f ${libdir}/libOpenCL.so.1.0.0 ]]; then
-
- dolib.so ${libdir}/libnvcompiler.so.${sover}
- [[ "${sover}" != "1" ]] && dosym libnvcompiler.so.${sover} /usr/${inslibdir}/libnvcompiler.so.1
- dosym libnvcompiler.so.1 /usr/${inslibdir}/libnvcompiler.so
-
- dolib.so ${libdir}/libOpenCL.so.1.0.0
- dosym libOpenCL.so.1.0.0 /usr/${inslibdir}/libOpenCL.so.1
- dosym libOpenCL.so.1 /usr/${inslibdir}/libOpenCL.so
- fi
-}
-
-pkg_preinst() {
- if use kernel_linux; then
- linux-mod_pkg_preinst
-
- local videogroup="$(egetent group video | cut -d ':' -f 3)"
- if [ -z "${videogroup}" ]; then
- eerror "Failed to determine the video group gid"
- die "Failed to determine the video group gid"
- else
- sed -i \
- -e "s:PACKAGE:${PF}:g" \
- -e "s:VIDEOGID:${videogroup}:" \
- "${D}"/etc/modprobe.d/nvidia.conf || die
- fi
- fi
-
- # Clean the dynamic libGL stuff's home to ensure
- # we dont have stale libs floating around
- if [ -d "${ROOT}"/usr/lib/opengl/nvidia ] ; then
- rm -rf "${ROOT}"/usr/lib/opengl/nvidia/*
- fi
- # Make sure we nuke the old nvidia-glx's env.d file
- if [ -e "${ROOT}"/etc/env.d/09nvidia ] ; then
- rm -f "${ROOT}"/etc/env.d/09nvidia
- fi
-}
-
-pkg_postinst() {
- use kernel_linux && linux-mod_pkg_postinst
-
- # Switch to the nvidia implementation
- "${ROOT}"/usr/bin/eselect opengl set --use-old nvidia
-
- readme.gentoo_print_elog
-
- if ! use tools; then
- elog "USE=tools controls whether the nvidia-settings application"
- elog "is installed. If you would like to use it, enable that"
- elog "flag and re-emerge this ebuild. Optionally you can install"
- elog "media-video/nvidia-settings"
- fi
-}
-
-pkg_prerm() {
- "${ROOT}"/usr/bin/eselect opengl set --use-old xorg-x11
-}
-
-pkg_postrm() {
- use kernel_linux && linux-mod_pkg_postrm
- "${ROOT}"/usr/bin/eselect opengl set --use-old xorg-x11
-}